{ config, pkgs, ... }:
{
  sops.secrets.lighthouse_jwt = {
    sopsFile = ./../secrets/${config.networking.hostName}.yaml;
  };
  services.ethereum.lighthouse-beacon.mainnet = {
    enable = true;
    #package = pkgs.unstable.lighthouse;
    args = {
      execution-endpoint = "http://eth1:8551";
      execution-jwt = config.sops.secrets.lighthouse_jwt.path;
      checkpoint-sync-url = "https://beaconstate.info";
    };
  };
  environment.persistence.${config.custom.impermanence.persistPath}.directories = [
    "/var/lib/private/lighthouse-mainnet"
  ];
}
